lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [day] [month] [year] [list]
Date: Sat, 17 Mar 2018 16:48:54 +0000
From: Salvatore Bonaccorso <carnil@...ian.org>
To: bugtraq@...urityfocus.com
Subject: [SECURITY] [DSA 4142-1] uwsgi security update

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

- -------------------------------------------------------------------------
Debian Security Advisory DSA-4142-1                   security@...ian.org
https://www.debian.org/security/                     Salvatore Bonaccorso
March 17, 2018                        https://www.debian.org/security/faq
- -------------------------------------------------------------------------

Package        : uwsgi
CVE ID         : CVE-2018-7490
Debian Bug     : 891639

Marios Nicolaides discovered that the PHP plugin in uWSGI, a fast,
self-healing application container server, does not properly handle a
DOCUMENT_ROOT check during use of the --php-docroot option, allowing a
remote attacker to mount a directory traversal attack and gain
unauthorized read access to sensitive files located outside of the web
root directory.

For the oldstable distribution (jessie), this problem has been fixed
in version 2.0.7-1+deb8u2. This update additionally includes the fix for
CVE-2018-6758 which was aimed to be addressed in the upcoming jessie
point release.

For the stable distribution (stretch), this problem has been fixed in
version 2.0.14+20161117-3+deb9u2.

We recommend that you upgrade your uwsgi packages.

For the detailed security status of uwsgi please refer to its security
tracker page at:
https://security-tracker.debian.org/tracker/uwsgi

Further information about Debian Security Advisories, how to apply
these updates to your system and frequently asked questions can be
found at: https://www.debian.org/security/

Mailing list: debian-security-announce@...ts.debian.org
-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEERkRAmAjBceBVMd3uBUy48xNDz0QFAlqtRdhfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDQ2
NDQ0MDk4MDhDMTcxRTA1NTMxRERFRTA1NENCOEYzMTM0M0NGNDQACgkQBUy48xND
z0TSEw/9ENqkSLIKr7ycKubV4ffEnoEtghxJSPVHcD3BSH545dDw4G8m3sZqZFxi
7bMwXVNhPNNjuWQGiPNPC9iSepxWnBo/R/a9+Krb6KUBXm/j4ekoe0TQKt2Btc4E
B3LbGahpeAPsw9/B7eCiK6g+HtfEI7yOj4Cx1uC3NtaX4f9AfbSV2sBwXOz4i/Qz
1OfsqCycKKZrstRfqABsTjDdMHY58CWICwO4X+7Tm6JaGzDPtShBr+2ZOY8gNFU9
r0j8K3fS07r4RdfLrkbBmeioG2CJViDNcF0fswJ/Yabn5AovvPj7W0eZYlHe2eEA
4kUJmXmMnQWDmnHnEeSSPGOborTtiQUiUeLK2FV2Dp4SzafRR0tCGjS8dYi/ge01
RxWfOSOt3Ibbi7MidfEoNNzZ69k5DkKdwwjN3hzBrxUNjbDiJDPomxKlDHjBIJE3
6K6quT+A4excEftuhJqu2Av2Q9eYwSi3B/hVdKz6z7r8VdXC91UDvCBR2Bkm6v+A
zdluUsUus045V9O5jdtgrA1kUuKqvGpcRYwtGBtY95owEcu04yFvl0pt/RS7Degp
lYQDigPZ3ANVTcVOMkcKVfLAXNQokTDzEHPa1F7ls/0p1+vINmi65iudW3cCpTWb
suh0CV5zHS0eOt/bWu/BwyvU/ELfq8HBQ4qo9sXyw9hAld8TN+I=
=CnYR
-----END PGP SIGNATURE-----

Powered by blists - more mailing lists

Powered by Openwall GNU/*/Linux - Powered by OpenVZ